/*
 * This is a passowrd cache for smb passwords
 *
 */

#ifndef SMBPW_H
#define SMBPW_H
#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/un.h>
#include <arpa/inet.h>
#include <sys/stat.h>
#include <resolv.h>
#include <unistd.h>
#include <errno.h>
#include <stdlib.h>
#include <netdb.h>

#ifndef SOCKET_NAME
#define SOCKET_NAME "/var/run/smbpw.sock"
#endif

#ifndef PID_NAME
#define PID_NAME "/var/run/smbpwman.pid"
#endif

#ifndef SERVER_NAME
#define SERVER_NAME "smbpwman"
#endif

#ifndef SERVER_PATH
#define SERVER_PATH "/usr/sbin/"
#endif

// The following comes from unix(7)
#define UNIX_PATH_MAX    108

// internal helpers
int verify_socket_path(char *name);
int open_unix_socket(char *name);
char *readstring(int cs);
int unix_connect(char *name);
char *real_retrieve(char *username, char command);

// external interface
int store(char *username, char *password);
char *retrieve(char *username);
char *query(char *username);
int shutdown_server(void);

#endif
