%define version 0.6
Summary: Password daemon for automounting smb shares
Name: smbpwman
Version: %{version}
Release: 1
License: GPL
Group: System Environment/Daemons
Source: http://uranus.it.swin.edu.au/~jn/linux/smbfs/smbpwman-%{version}.tar.gz
URL: http://uranus.it.swin.edu.au/~jn/linux/smbfs/
Packager: John Newbign (jn@it.swin.edu.au)
Distribution: Preminition
Vendor: Preminition Software
BuildRoot: /var/tmp/%{name}-buildroot
Requires: /etc/auto.master

%description
smbpwman is a daemon which keeps a record of the passwords.  It is
started automaticly if it is not running when the first request is
made.

pam_smbpw is a PAM module which steals the password and registers
it with the daemon.  You will need to modify your PAM configuration
to use this module.  See the section below on PAM.

smbautomount is used by the automounter to find out if a particular
directory can be mounted.  This requires the program map type which is
part of the RedHat 7.2 package but may not be standard.

%prep
%setup

%build
make
strip smbpwman
strip automount/smbautomount
strip pam/pam_smbpw.so

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m 700 smbpwman $RPM_BUILD_ROOT/usr/sbin/smbpwman
install -m 755 automount/smbautomount $RPM_BUILD_ROOT/usr/sbin/smbautomount
mkdir -p $RPM_BUILD_ROOT/lib/security
install -m 755 pam/pam_smbpw.so $RPM_BUILD_ROOT/lib/security/pam_smbpw.so
mkdir -p $RPM_BUILD_ROOT/etc
install -m 644 automount/smbautomount.conf $RPM_BUILD_ROOT/etc/smbautomount.conf

%pre

%post
# Add to /etc/auto.master
#/home/staff /usr/sbin/smbautomount --timeout 60
grep -q smbautomount /etc/auto.master || echo "#/home/staff /usr/sbin/smbautomount --timeout 60" >> /etc/auto.master

%files
%defattr(-,root,root)
/usr/sbin/smbpwman
/usr/sbin/smbautomount
/lib/security/pam_smbpw.so
%config /etc/smbautomount.conf


%changelog
* Thu May 02 2002 John Newbigin <jn@it.swin.edu.au>
- Added config file
* Wed Apr 24 2002 John Newbigin <jn@it.swin.edu.au>
- New spec file
