/*
 * This is a passowrd cache for smb passwords
 *
 */

#include "smbpw.h"

int main(int argc, char **argv)
{
	char *password;

	if(verify_socket_path(SOCKET_NAME) < 0)
	{
		fprintf(stderr, "Socket path %s is insecure\n", SOCKET_NAME);
		return 1;
	}

	if(argc == 2 && strcmp(argv[1], "--shutdown") == 0)
	{
		shutdown_server();
		return 0;
	}
	else if(argc >= 3 && strcmp(argv[1], "--retrieve") == 0)
	{
		password = retrieve(argv[2]);

		if(password)
		{
			if(argc > 3 && strcmp(argv[3], "--print") == 0)
			{
				printf("The password is %s\n", password);
			}
			else
			{
				printf("Got the password\n");
			}
		}
		else
		{
			printf("Password not in cache\n");
		}
	
	}
	else if(argc == 3 && strcmp(argv[1], "--store") == 0)
	{
		password = getpass("Password: ");
		store(argv[2], password);
	}

	return 0;

}
